### Method

# Gimp Procedure find_argument

since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_procedure_find_argument (
      GimpProcedure* procedure,
      const gchar* name
    )

#### Description [src]

Searches the `procedure`‘s arguments for a `GParamSpec` called `name`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  An argument name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GParamSpec`

The `procedure`‘s argument with `name` if it exists, or `NULL` otherwise.

The returned data is owned by the instance.